List repair tasks
GET
/v1/repair-taskscurl -X GET 'https://api.embodiflow.io/v1/repair-tasks' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- severitystring
- sourceTypestring
- projectIdstring (uuid)
- statusobject
- datasetVersionIdstring (uuid)
- assigneeProjectMembershipIdstring (uuid)
- unassignedboolean
- overdueboolean
- qstring
响应
Success
- dataarray<RepairTaskDto>必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- scopeTypestring必填可选值datasetprojectdataset_version
- datasetIdstring | null必填
- datasetVersionIdstring | null必填
- sourceTypestring必填可选值health-checkworkflow-runworkflow_itemquality-ruleannotation-gapexport-jobpolicy-gatecollection-delivery-batchcollection-submission
- sourceIdstring必填
- titlestring | null必填
- descriptionstring | null必填
- severitystring必填可选值warninginfoblocking
- statusstring必填可选值in_progressopenresolvedwaived
- assigneeobject必填
- dueAtstring | null必填
- resolutionstring | null必填可选值fixedwaivedduplicatenot_reproducible
- waiveReasonstring | null必填
- waivedAtstring | null必填
- waivedByobject必填
- resolvedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- deduplicatedone of
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- requestIdstring必填
- pageSizenumber必填
- totalCountnumber必填
响应示例
{
"data": [
{
"id": "string",
"tenantId": "string",
"projectId": "string",
"scopeType": "dataset",
"datasetId": "string",
"datasetVersionId": "string",
"sourceType": "health-check",
"sourceId": "string",
"title": "string",
"description": "string",
"severity": "warning",
"status": "in_progress",
"assignee": {
"projectMembershipId": "string",
"membershipId": "string",
"displayName": "string"
},
"dueAt": "string",
"resolution": "fixed",
"waiveReason": "string",
"waivedAt": "string",
"waivedBy": {
"membershipId": "string",
"displayName": "string"
},
"resolvedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"deduplicated": false
}
],
"nextPageToken": "string",
"meta": {
"requestId": "string",
"pageSize": 0,
"totalCount": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1